#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    int n;
    cin>>n;
    int a[n];
    for (int i=0; i<n; ++i){
        cin>>a[i];
    }
    int b[n];
    memset(b, 0, sizeof(b));
    for (int i=1; i<n; ++i){
        if (a[i]<a[i-1]){b[i]=1;}
    }
    int c[n];
    c[0]=b[0];
    for (int i=1; i<n; ++i){
        c[i]=c[i-1]+b[i];
    }
    int q;
    cin>>q;
    for (int w=0; w<q; ++w){
        int l,r;
        cin>>l>>r;
        --l;
        --r;
        int v=c[r]-c[l];
        if (v>1){
            cout<<"NE"<<endl;
        }
        else{
            cout<<"DA"<<endl;
        }
    }
    return 0;
}